#include<iostream>
#include <algorithm>
#include <string>
#include<vector>
using namespace std;

int main() {
string s, ss, ss1;
vector<string> red;
cin>>s;
int a[s.size()], i, swapped, h, b[s.size()], y, j, br;
char n[s.size()], x;
br=0;
for(i=0; i<s.size(); i++){
	n[i]=s[i];
}
for(i=0; i<s.size(); i++){
a[i]=count(s.begin(), s.end(), s[i]);
}
while(1){

	swapped=0;
	for(i=0; i<s.size(); i++){
	if(a[i]<a[i+1]){
		h=a[i];
		a[i]=a[i+1];
		a[i+1]=h;
		x=n[i];
		n[i]=n[i+1];
		n[i+1]=x;
		swapped=1;
	}	
	}
	if(swapped==0){
		break;
	}
}
for(i=0; i<s.size(); i++){
	if(s[i]==n[0]){
		ss=s.substr(i+1);
		y=ss.find(n[i])+1+i;
		if((ss.find(n[i])-i-1)%2==0){
			ss1=s.substr(0, i+(y+i+1)/2);
			red.push_back(ss);
		} 
	}
}
std::cout<<br;




return 0;
}